Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.event
Interface IEventGenerator

All Known Implementing Classes:
  AbstractEventGenerator

public interface IEventGenerator

Interface that defines an object that can generate events from an EIS. This interface is used by instances of IEventRouter. Event generators should ask their parent IEventRouter for a list of event types that should be generated, and only generate events for the requested types.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `init(IEventRouter router, java.util.Map props)` Initialize this event generator given its parent IEventRouter, and a Map of properties.
`void` | `refresh()` Refresh the list of requested event types by talking to the parent IEventRouter.
`void` | `start()` Start generating events as they are detected in the EIS.
`void` | `stop()` Stop generating events from the EIS.

Method Detail

### init

    public void init(IEventRouter router,
                     java.util.Map props)
              throws java.lang.Exception

  Initialize this event generator given its parent IEventRouter, and a Map of properties. These properties may be specific to the needs of the given event generator, and are provided by startup information given to the servlet engine being used to host the event router.

### start

    public void start()
               throws java.lang.Exception

  Start generating events as they are detected in the EIS.

  Throws:
    java.lang.Exception - If any error occurs while starting up.

### refresh

    public void refresh()
                 throws java.lang.Exception

  Refresh the list of requested event types by talking to the parent IEventRouter. From this call onward, the event generator should only generate events that have been requested in the new list.

  Throws:
    java.lang.Exception - If any error occurs while starting up.

### stop

    public void stop()
              throws java.lang.Exception

  Stop generating events from the EIS.

  Throws:
    java.lang.Exception - If any error occurs while stopping.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)